Page MenuHomePhabricator

Evaluate Cypress as a WebdriverIO replacement for our browser automation framework
Open, MediumPublic

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

A note, from https://opensource.intuit.com/ I found cyphell to convert from wdio to cypress. https://github.com/intuit/cyphfell . Quote:

Cyphfell
Converts WDIO to Cypress

Intuit engineers were running thousands of automation tests with the WebDriverIO framework, but over time, they found this tool no longer met needs. Looking for alternatives, engineers discovered the open source testing tool Cypress. Upon determining Cypress solved a number of issues, the team decided to use it going forward. But with this decision, thousands of tests written for WebDriverIO would have to convert to Cypress. Converting tests manually would be tedious and time-consuming. Software Developer Adil Malik set out to develop an alternative.

Adil envisioned a tool to convert WebDriverIO tests to Cypress tests. With support from a mentor, Principal Engineer Raj Vasikarla, and the Cypress team, Adil developed Cyphfell. Since the testing tools themselves were open source and a conversion tool could have wide-reaching applications, Adil planned to open source his tool from the start. Adil hopes Cyphfell proves useful to anyone looking to convert automation tests and plans to expand its functionality to translate other test frameworks, including Puppeteer and Nightwatch.

Main Contributors: Adil Malik

Jpita added a comment.Sep 17 2019, 7:34 PM

Oh wow, that's amazing.
This way we can actually compare times and error rate between frameworks and easily evaluate which is better/more useful

hashar removed a subscriber: hashar.Sep 20 2019, 4:05 PM

Change 530914 abandoned by Zfilipin:
WIP Cypress

Reason:
just a test

https://gerrit.wikimedia.org/r/530914

I've made a report on comparison of Cypress and WebdriverIO here: https://github.com/simkawaii/GrowthExperiement_Cypress_WebdriverIO

Jpita added a comment.Jan 14 2020, 9:38 PM

I've made a report on comparison of Cypress and WebdriverIO here: https://github.com/simkawaii/GrowthExperiement_Cypress_WebdriverIO

๐Ÿ‘ amazing work!

@zeljkofilipin I want to use cypress in the new VueJS framework, we're testing it on the content translation tool.
is it installed on the CI already or not yet?

zeljkofilipin changed the task status from Open to Stalled.Mar 13 2020, 10:23 AM

@Jpita as far as I know, no progress has been made. ๐Ÿ˜•

Jpita updated the task description. (Show Details)Mar 13 2020, 10:44 AM

Change 530914 restored by Zfilipin:
WIP Cypress

https://gerrit.wikimedia.org/r/530914

zeljkofilipin changed the task status from Stalled to Open.Mar 14 2020, 10:24 AM
zeljkofilipin renamed this task from Cypress testing framework evaluation to Evaluate Cypress as a WebdriverIO replacement for our browser automation framework.Mar 17 2020, 3:40 PM
Jpita added a comment.Mar 18 2020, 4:30 AM

@zeljkofilipin why does it have to be a replacement?
why can't both live together?

@Jpita we can barely keep one framework somewhat documented (T246425) and up to date (T247844). There's no chance we could do that for two frameworks.

Change 530914 abandoned by Zfilipin:
WIP Cypress

Reason:
just a test

https://gerrit.wikimedia.org/r/530914

Change 599937 had a related patch set uploaded (by AlQaholic007; owner: AlQaholic007):
[mediawiki/core@master] WIP Cypress: Implement test for checking Admin login

https://gerrit.wikimedia.org/r/599937

Change 600406 had a related patch set uploaded (by AlQaholic007; owner: AlQaholic007):
[mediawiki/core@master] WIP Cypress: Implement test to check for account creation

https://gerrit.wikimedia.org/r/600406

Change 597125 had a related patch set uploaded (by AlQaholic007; owner: AlQaholic007):
[mediawiki/core@master] WIP Cypress: Install dependencies

https://gerrit.wikimedia.org/r/597125

Change 598253 had a related patch set uploaded (by AlQaholic007; owner: AlQaholic007):
[mediawiki/core@master] WIP Cypress: Implement a simple test to check for default main page heading

https://gerrit.wikimedia.org/r/598253

Change 598253 abandoned by AlQaholic007:
WIP Cypress: Implement a simple test to check for default main page heading

Reason:
Too many conflicts

https://gerrit.wikimedia.org/r/598253

Change 599937 abandoned by AlQaholic007:
WIP Cypress: Implement test for checking Admin login

Reason:
Too many conflicts

https://gerrit.wikimedia.org/r/599937

Change 600406 abandoned by AlQaholic007:
WIP Cypress: Implement test to check for account creation

Reason:
Too many conflicts

https://gerrit.wikimedia.org/r/600406

Change 601343 had a related patch set uploaded (by AlQaholic007; owner: AlQaholic007):
[mediawiki/core@master] WIP Cypress: Implement a simple test to check for main page heading

https://gerrit.wikimedia.org/r/601343

Change 601345 had a related patch set uploaded (by AlQaholic007; owner: AlQaholic007):
[mediawiki/core@master] WIP Cypress: Implement test to check for user account creation

https://gerrit.wikimedia.org/r/601345

Change 601375 had a related patch set uploaded (by AlQaholic007; owner: AlQaholic007):
[mediawiki/core@master] WIP Cypress: Implement test to check for user login @daily

https://gerrit.wikimedia.org/r/601375

Change 601746 had a related patch set uploaded (by AlQaholic007; owner: AlQaholic007):
[mediawiki/core@master] WIP Cypress: Page should be previewable

https://gerrit.wikimedia.org/r/601746

Change 601752 had a related patch set uploaded (by AlQaholic007; owner: AlQaholic007):
[mediawiki/core@master] WIP Cypress: Page should be creatable

https://gerrit.wikimedia.org/r/601752

Change 601752 abandoned by AlQaholic007:
WIP Cypress: Page should be creatable

Reason:
Flaky test and lot of conflicts

https://gerrit.wikimedia.org/r/601752

Change 601845 had a related patch set uploaded (by AlQaholic007; owner: AlQaholic007):
[mediawiki/core@master] WIP Cypress: Page should be creatable

https://gerrit.wikimedia.org/r/601845

Change 601851 had a related patch set uploaded (by AlQaholic007; owner: AlQaholic007):
[mediawiki/core@master] WIP Cypress: Page should be re-creatable

https://gerrit.wikimedia.org/r/601851

Change 598257 had a related patch set uploaded (by AlQaholic007; owner: AlQaholic007):
[mediawiki/core@master] WIP Puppeteer: Install dependencies

https://gerrit.wikimedia.org/r/598257

zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin moved this task from Backlog to In Progress on the User-Soham board.Jun 19 2020, 2:04 PM
zeljkofilipin removed Soham as the assignee of this task.Jun 23 2020, 10:17 AM
zeljkofilipin moved this task from In Progress to Waiting/Blocked on the User-Soham board.
zeljkofilipin moved this task from Waiting/Blocked to In Progress on the User-Soham board.
zeljkofilipin removed Soham as the assignee of this task.Jun 25 2020, 4:16 PM
zeljkofilipin moved this task from In Progress to Waiting/Blocked on the User-Soham board.
zeljkofilipin updated the task description. (Show Details)